#include <iostream>
#include <memory>
#include <cstdlib>        // EXIT_SUCCESS

#include "Configure.h"

int main()
{
#if defined(VTK_HAS_UNIQUE_PTR)
  std::unique_ptr<int> ptr;//(new int);
  std::cout << "unique_ptr: " << (ptr ? "not null" : "null") << '\n';
#else
  std::auto_ptr<int> ptr (new int);
  *ptr.get() = 10;
  std::cout << "auto_ptr: " << (ptr.get() ? "not null" : "null") << '\n';
  std::cout << *ptr.get() << std::endl;
#endif
  return EXIT_SUCCESS;
}
